import { Type } from '@angular/core';
import { Widget } from './widget';
import { ApplyGeoFenceWidgetValue } from './widget-value/apply-geo-fence-widget-value';
import { ApplyGeofencesComponent } from '../../../sculptor-lib/widgets/apply-geofences/apply-geofences.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
declare type ApplyGeoFenceValue = Type<ApplyGeoFenceWidgetValue>;
export declare class ApplyGeoFence extends Widget {
    whichObject: string;
    helpText: string;
    value: ApplyGeoFenceValue;
    component?: Type<ApplyGeofencesComponent>;
    markup: string;
    name: string;
    constructor(field?: Widget);
    newGeoFence(): void;
    /**function to create link object with existing values
    *
    *@param field
    *
    */
    geoFence(field: any): void;
    getWidgetValue(): ApplyGeoFenceValue;
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
export {};
